# Configuration file for Extspell. 
# Extspell should work out of the box without 
# changes to this file! Edit it manually only
# if you wish to change the default values.
# See comments below for variables and possible values.


proc defaults { } {

global selhandler
global seltype
global dictcode
global highlighting


# selhandler:
# Windows and Mac users: do not change this setting.
# Linux users: if you wish to be able to choose from 
# within Extspell whether to use the primary 
# selection or the clipboard for spellchecking, edit 
# the line below to: set selhandler 1

set selhandler 1

# seltype:
# Windows and Mac users: do not change this setting.
# Linux users: select here whether to use the primary 
# selection (recommended) or the clipboard for 
# spellchecking. To select the primary selection, 
# change the line below to: set seltype PRIMARY
# If you have enabled the selection handler, the 
# option selected here will be used as the default.

set seltype PRIMARY

# dictcode
# You can select from within the Extspell GUI which 
# of the installed Aspell dictionaries to use. 
# Extspell takes the default Aspell dictionary as 
# its own default. To select a different dictionary 
# as default, edit the line below. Example for 
# US English:
# set dictcode en_US

set dictcode [exec aspell config lang]

# highlighting
# Highlighting colour for misspelled words. 
# Default: lightblue.
# Examples of intelligent alternatives: 
# lightgreen; orange; lightgray

set highlighting lightblue

}